/**********************************************************************************************************************					
Instituto Nacional de Estadstica (INE) www.ine.es					
***********************************************************************************************************************					
					
DESCRIPCIN:					
Este programa genera un fichero SAS con formatos, partiendo de un fichero sin ellos.					
					
Consta de las siguientes partes:					
	* 1. Definir la librera de trabajo --> Libname				
	* 2. Definicin de formatos --> PROC FORMAT				
	* 3. Vincular formatos a la base de datos --> PASO data				
					
 Entrada:                                                           					
     - Fichero SAS sin formatos: 	 EESEhogar_2020.sas7bdat				
 Salida:                                                           					
     - Fichero SAS con formatos: 	 EESEhogar_2020_conFormato.sas7bdat				
					
Donde:					
	* Operacin: Encuesta Europea de Salud en Espaa_Cuestionario Hogar (EESEhogar)				
	* Periodo: 2020				
					
************************************************************************************************************************/					
					
/*1) Definir la librera de trabajo: introducir el directorio que desee como librera					
(se da como ejemplo 'C:\Mis resultados'), y copiar en ese directorio el fichero sas "EESEhogar_2020.sas7bdat"*/					
					
*libname ROutput 'C:\Mis resultados';
options fmtsearch = (ROutput ROutput.cat1);

* 2) DEFINICI�N DE FORMATOS;
PROC FORMAT LIBRARY=ROutput.cat1;
value $TCCAA

"01"="Andaluca"
"02"="Aragn"
"03"="Asturias, Principado de"
"04"="Balears, Illes"
"05"="Canarias"
"06"="Cantabria"
"07"="Castilla y Len"
"08"="Castilla - La Mancha"
"09"="Catalua"
"10"="Comunitat Valenciana"
"11"="Extremadura"
"12"="Galicia"
"13"="Madrid, Comunidad de"
"14"="Murcia, Regin de"
"15"="Navarra, Comunidad Foral de"
"16"="Pas Vasco"
"17"="Rioja, La"
"18"="Ceuta"
"19"="Melilla"
;
value $TESTRAT

"0"="Municipios de ms de 500.000 habitantes"
"1"="Municipio capital de provincia (excepto los anteriores)"
"2"="Municipios con ms de 100.000 habitantes (excepto los anteriores)"
"3"="Municipios de 50.000 a 100.000 habitantes (excepto los anteriores)"
"4"="Municipios de 20.000 a 50.000 habitantes (excepto los anteriores)"
"5"="Municipios de 10.000 a 20.000 habitantes"
"6"="Municipios con menos de 10.000 habitantes"
;
value $TSEXO

"1"="Hombre"
"2"="Mujer"
;
value $TA8_2_i

"01"="Adulto seleccionado (a.s.)"
"02"="Cnyuge o pareja del adulto seleccionado"
"03"="Hijo/a o hijastro/a (del adulto seleccionado o pareja del mismo)"
"04"="Yerno, nuera (o pareja del hijo/a o hijastro/a)"
"05"="Nieto/a o nieto/a poltico o pareja del mismo"
"06"="Padre, madre, suegro, suegra (o pareja de los mismos)"
"07"="Hermano/a"
"08"="Otro pariente del adulto seleccionado (o de la pareja del mismo)"
"09"="Persona del servicio domstico"
"10"="Sin parentesco con el adulto seleccionado"
;
value $TA9_otr

"1"="Otro familiar no miembro del hogar"
"2"="Un cuidador personal"
"3"="Un empleado/a del servicio domstico"
"4"="Servicios Sociales"
"5"="Otros (un vecino, el portero, etc.)"
"8"="No sabe"
"9"="No contesta"
;
value $TA10_i

"01"="No procede, es menor de 10 aos"
"02"="No sabe leer o escribir"
"03"="Educacin Primaria incompleta (Ha asistido menos de 5 aos a la escuela)"
"04"="Educacin Primaria completa"
"05"="Primera etapa de Enseanza Secundaria, con o sin ttulo (2 ESO aprobado, EGB, Bachillerato Elemental)"
"06"="Estudios de Bachillerato"
"07"="Enseanzas profesionales de grado medio o equivalentes"
"08"="Enseanzas profesionales de grado superior o equivalentes"
"09"="Estudios universitarios o equivalentes"
"98"="No sabe"
"99"="No contesta"
;
value $TA11_i

"1"="Trabajando"
"2"="En desempleo"
"3"="Jubilado/a, prejubilado/a"
"4"="Estudiando"
"5"="Incapacitado/a para trabajar"
"6"="Las labores del hogar"
"7"="Otros"
"8"="No contesta"
;
value $T12A

"1"="Hogar unipersonal"
"2"="Pareja sola"
"3"="Pareja con algn hijo menor de 25 aos"
"4"="Pareja con todos los hijos de 25 o ms aos"
"5"="Padre o madre solo, con algn hijo menor de 25 aos"
"6"="Padre o madre solo, con todos los hijos de 25 o ms aos"
"7"="Pareja o padre o madre solo, con algn hijo menor de 25 aos y otras personas viviendo en el hogar"
"8"="Otro tipo de hogar"
;
value $T13B

"1"="S, por cotizacin propia"
"2"="S, por cotizacin de otra persona (pensiones de viudedad, orfandad, etc.)"
"3"="S, por ambos tipos de cotizacin"
"4"="No"
"8"="No sabe"
"9"="No contesta"
;
value $T17B

"1"="Asalariado/a (a sueldo, comisin, jornal...)"
"2"="Empresario/a o profesional con asalariados"
"3"="Empresario/a sin asalariados o trabajador/a independiente"
"4"="Ayuda familiar (sin remuneracin reglamentada en la empresa o negocio de un familiar)"
"5"="Miembro de una cooperativa"
"6"="Otra situacin"
"8"="No sabe"
"9"="No contesta"
;
value $TB21a

"1"="Asalariado/a (a sueldo, comisin, jornal...)"
"2"="Empresario/a o profesional con asalariados"
"3"="Empresario/a sin asalariados o trabajador/a independiente"
"4"="Ayuda familiar (sin remuneracin reglamentada en la empresa o negocio de un familiar)"
"5"="Miembro de una cooperativa"
"6"="Otra situacin"
"8"="No sabe"
"9"="No contesta"
;
value $TB21b

"1"="Asalariado/a (a sueldo, comisin, jornal...)"
"2"="Empresario/a o profesional con asalariados"
"3"="Empresario/a sin asalariados o trabajador/a independiente"
"4"="Ayuda familiar (sin remuneracin reglamentada en la empresa o negocio de un familiar)"
"5"="Miembro de una cooperativa"
"6"="Otra situacin"
"8"="No sabe"
"9"="No contesta"
;
value $TCLASE

"1"="Directores/as y gerentes de establecimientos de 10 o ms asalariados/as y profesionales tradicionalmente asociados/as a las licenciaturas universitarias"
"2"="Directores/as y gerentes de establecimientos de menos de 10 asalariados/ as y profesionales tradicionalmente asociados/as a diplomaturas universitarias y otros/as profesionales de apoyo tcnico. Deportistas y artistas"
"3"="Ocupaciones intermedias y trabajadores/as por cuenta propia"
"4"="Supervisores/as y trabajadores/as en ocupaciones tcnicas cualificadas"
"5"="Trabajadores/as cualificados/as del sector primario y otros/as trabajadores/as semi-cualificados/as"
"6"="Trabajadores/as no cualificados/as"
"8"="No sabe"
"9"="No contesta"
;
value $T24D

"1"="Ingresos del trabajo (por cuenta propia o ajena)"
"2"="Prestacin y subsidios por desempleo"
"3"="Pensin por jubilacin o viudedad"
"4"="Pensin por invalidez o incapacidad"
"5"="Prestaciones econmicas por hijo/a a cargo, ayudas a la familia..."
"6"="Prestaciones o subvenciones relacionadas con la vivienda"
"7"="Prestaciones o subvenciones relacionadas con la educacin"
"8"="Otros ingresos regulares / Otro subsidio o prestacin social regular"
;
value $T26D

"01"="Menos de 1100 euros"
"02"="De 1100 a menos de 1650 euros"
"03"="De 1650 a menos de 2300 euros"
"04"="De 2300 a menos de 3800euros"
"05"="De 3800 euros en adelante"
"98"="No sabe"
"99"="No contesta"
;
value $T2SINO

"1"="S"
"2"="No"
;
value $TSINOC

"1"="S"
"2"="No"
"8"="No sabe"
"9"="No contesta"
;
value $T11CNO

"001"="Oficiales y suboficiales de las fuerzas armadas"
"002"="Tropa y marinera de las fuerzas armadas"
"111"="Miembros del poder ejecutivo y de los cuerpos legislativos; directivos de la Administracin Pblica y organizaciones de inters social"
"112"="Directores generales y presidentes ejecutivos"
"121"="Directores de departamentos administrativos"
"122"="Directores comerciales, de publicidad, relaciones pblicas y de investigacin y desarrollo"
"131"="Directores de produccin de explotaciones agropecuarias, forestales y pesqueras, y de industrias manufactureras, de minera, construccin y distribucin"
"132"="Directores de servicios de tecnologas de la informacin y las comunicaciones (TIC) y de empresas de servicios profesionales"
"141"="Directores y gerentes de empresas de alojamiento"
"142"="Directores y gerentes de empresas de restauracin"
"143"="Directores y gerentes de empresas de comercio al por mayor y al por menor"
"150"="Directores y gerentes de otras empresas de servicios no clasificados bajo otros epgrafes"
"211"="Mdicos"
"212"="Profesionales de enfermera y partera"
"213"="Veterinarios"
"214"="Farmacuticos"
"215"="Otros profesionales de la salud"
"221"="Profesores de universidades y otra enseanza superior (excepto formacin profesional)"
"222"="Profesores de formacin profesional (materias especficas)"
"223"="Profesores de enseanza secundaria (excepto materias especficas de formacin profesional)"
"224"="Profesores de enseanza primaria"
"225"="Maestros y educadores de enseanza infantil"
"231"="Profesores y tcnicos de educacin especial"
"232"="Otros profesores y profesionales de la enseanza"
"241"="Fsicos, qumicos, matemticos y afines"
"242"="Profesionales en ciencias naturales"
"243"="Ingenieros (excepto ingenieros agrnomos, de montes, elctricos, electrnicos y TIC)"
"244"="Ingenieros elctricos, electrnicos y de telecomunicaciones"
"245"="Arquitectos, urbanistas e ingenieros gegrafos"
"246"="Ingenieros tcnicos (excepto agrcolas, forestales, elctricos, electrnicos y TIC)"
"247"="Ingenieros tcnicos en electricidad, electrnica y telecomunicaciones"
"248"="Arquitectos tcnicos, topgrafos y diseadores"
"251"="Jueces, magistrados, abogados y fiscales"
"259"="Otros profesionales del derecho"
"261"="Especialistas en finanzas"
"262"="Especialistas en organizacin y administracin"
"263"="Tcnicos de empresas y actividades tursticas"
"264"="Profesionales de ventas tcnicas y mdicas (excepto las TIC)"
"265"="Otros profesionales de las ventas, la comercializacin, la publicidad y las relaciones pblicas"
"271"="Analistas y diseadores de software y multimedia"
"272"="Especialistas en bases de datos y en redes informticas"
"281"="Economistas"
"282"="Socilogos, historiadores, psiclogos y otros profesionales en ciencias sociales"
"283"="Sacerdotes de las distintas religiones"
"291"="Archivistas, bibliotecarios, conservadores y afines"
"292"="Escritores, periodistas y lingistas"
"293"="Artistas creativos e interpretativos"
"311"="Delineantes y dibujantes tcnicos"
"312"="Tcnicos de las ciencias fsicas, qumicas, medioambientales y de las ingenieras"
"313"="Tcnicos en control de procesos"
"314"="Tcnicos de las ciencias naturales y profesionales auxiliares afines"
"315"="Profesionales en navegacin martima y aeronutica"
"316"="Tcnicos de control de calidad de las ciencias fsicas, qumicas y de las ingenieras"
"320"="Supervisores en ingeniera de minas, de industrias manufactureras y de la construccin"
"331"="Tcnicos sanitarios de laboratorio, pruebas diagnsticas y prtesis"
"332"="Otros tcnicos sanitarios"
"333"="Profesionales de las terapias alternativas"
"340"="Profesionales de apoyo en finanzas y matemticas"
"351"="Agentes y representantes comerciales"
"352"="Otros agentes comerciales"
"353"="Agentes inmobiliarios y otros agentes"
"361"="Asistentes administrativos y especializados"
"362"="Agentes de aduanas, tributos y afines que trabajan en tareas propias de la Administracin Pblica"
"363"="Tcnicos de las fuerzas y cuerpos de seguridad"
"371"="Profesionales de apoyo de servicios jurdicos y sociales"
"372"="Deportistas, entrenadores, instructores de actividades deportivas; monitores de actividades recreativas"
"373"="Tcnicos y profesionales de apoyo de actividades culturales, artsticas y culinarias"
"381"="Tcnicos en operaciones de tecnologas de la informacin y asistencia al usuario"
"382"="Programadores informticos"
"383"="Tcnicos en grabacin audiovisual, radiodifusin y telecomunicaciones"
"411"="Empleados contables y financieros"
"412"="Empleados de registro de materiales, de servicios de apoyo a la produccin y al transporte"
"421"="Empleados de bibliotecas y archivos"
"422"="Empleados de servicios de correos, codificadores, correctores y servicios de personal"
"430"="Otros empleados administrativos sin tareas de atencin al pblico"
"441"="Empleados de informacin y recepcionistas (excepto de hoteles)"
"442"="Empleados de agencias de viajes, recepcionistas de hoteles y telefonistas"
"443"="Agentes de encuestas"
"444"="Empleados de ventanilla y afines (excepto taquilleros)"
"450"="Empleados administrativos con tareas de atencin al pblico no clasificados bajo otros epgrafes"
"500"="Camareros y cocineros propietarios"
"511"="Cocineros asalariados"
"512"="Camareros asalariados"
"521"="Jefes de seccin de tiendas y almacenes"
"522"="Vendedores en tiendas y almacenes"
"530"="Comerciantes propietarios de tiendas"
"541"="Vendedores en quioscos o en mercadillos"
"542"="Operadores de telemarketing"
"543"="Expendedores de gasolineras"
"549"="Otros vendedores"
"550"="Cajeros y taquilleros (excepto bancos)"
"561"="Auxiliares de enfermera"
"562"="Tcnicos auxiliares de farmacia y emergencias sanitarias y otros trabajadores de los cuidados a las personas en servicios de salud"
"571"="Trabajadores de los cuidados personales a domicilio (excepto cuidadores de nios)"
"572"="Cuidadores de nios"
"581"="Peluqueros y especialistas en tratamientos de esttica, bienestar y afines"
"582"="Trabajadores que atienden a viajeros, guas tursticos y afines"
"583"="Supervisores de mantenimiento y limpieza de edificios, conserjes y mayordomos domsticos"
"584"="Trabajadores propietarios de pequeos alojamientos"
"589"="Otros trabajadores de servicios personales"
"591"="Guardias civiles"
"592"="Policas"
"593"="Bomberos"
"594"="Personal de seguridad privado"
"599"="Otros trabajadores de los servicios de proteccin y seguridad"
"611"="Trabajadores cualificados en actividades agrcolas (excepto en huertas, invernaderos, viveros y jardines)"
"612"="Trabajadores cualificados en huertas, invernaderos, viveros y jardines"
"620"="Trabajadores cualificados en actividades ganaderas (incluidas avcolas, apcolas y similares)"
"630"="Trabajadores cualificados en actividades agropecuarias mixtas"
"641"="Trabajadores cualificados en actividades forestales y del medio natural"
"642"="Trabajadores cualificados en actividades pesqueras y acuicultura"
"643"="Trabajadores cualificados en actividades cinegticas"
"711"="Trabajadores en hormign, encofradores, ferrallistas y afines"
"712"="Albailes, canteros, tronzadores, labrantes y grabadores de piedras"
"713"="Carpinteros (excepto ebanistas y montadores de estructuras metlicas)"
"719"="Otros trabajadores de las obras estructurales de construccin"
"721"="Escayolistas y aplicadores de revestimientos de pasta y mortero"
"722"="Fontaneros e instaladores de tuberas"
"723"="Pintores, empapeladores y afines"
"724"="Soladores, colocadores de parquet y afines"
"725"="Mecnicos-instaladores de refrigeracin y climatizacin"
"729"="Otros trabajadores de acabado en la construccin, instalaciones (excepto electricistas) y afines"
"731"="Moldeadores, soldadores, chapistas, montadores de estructuras metlicas y trabajadores afines"
"732"="Herreros y trabajadores de la fabricacin de herramientas y afines"
"740"="Mecnicos y ajustadores de maquinaria"
"751"="Electricistas de la construccin y afines"
"752"="Otros instaladores y reparadores de equipos elctricos"
"753"="Instaladores y reparadores de equipos electrnicos y de telecomunicaciones"
"761"="Mecnicos de precisin en metales, ceramistas, vidrieros y artesanos"
"762"="Oficiales y operarios de las artes grficas"
"770"="Trabajadores de la industria de la alimentacin, bebidas y tabaco"
"781"="Trabajadores que tratan la madera y afines"
"782"="Ebanistas y trabajadores afines"
"783"="Trabajadores del textil, confeccin, piel, cuero y calzado"
"789"="Pegadores, buceadores, probadores de productos y otros operarios y artesanos diversos"
"811"="Operadores en instalaciones de la extraccin y explotacin de minerales"
"812"="Operadores en instalaciones para el tratamiento de metales"
"813"="Operadores de instalaciones y mquinas de productos qumicos, farmacuticos y materiales fotosensibles"
"814"="Operadores en instalaciones para el tratamiento y transformacin de la madera, la fabricacin de papel, productos de papel y caucho o materias plsticas"
"815"="Operadores de mquinas para fabricar productos textiles y artculos de piel y de cuero"
"816"="Operadores de mquinas para elaborar productos alimenticios, bebidas y tabaco"
"817"="Operadores de mquinas de lavandera y tintorera"
"819"="Otros operadores de instalaciones y maquinaria fijas"
"820"="Montadores y ensambladores en fbricas"
"831"="Maquinistas de locomotoras y afines"
"832"="Operadores de maquinaria agrcola y forestal mvil"
"833"="Operadores de otras mquinas mviles"
"834"="Marineros de puente, marineros de mquinas y afines"
"841"="Conductores de automviles, taxis y furgonetas"
"842"="Conductores de autobuses y tranvas"
"843"="Conductores de camiones"
"844"="Conductores de motocicletas y ciclomotores"
"910"="Empleados domsticos"
"921"="Personal de limpieza de oficinas, hoteles y otros establecimientos similares"
"922"="Limpiadores de vehculos, ventanas y personal de limpieza a mano"
"931"="Ayudantes de cocina"
"932"="Preparadores de comidas rpidas"
"941"="Vendedores callejeros"
"942"="Repartidores de publicidad, limpiabotas y otros trabajadores de oficios callejeros"
"943"="Ordenanzas, mozos de equipaje, repartidores a pie y afines"
"944"="Recogedores de residuos, clasificadores de desechos, barrenderos y afines"
"949"="Otras ocupaciones elementales"
"951"="Peones agrcolas"
"952"="Peones ganaderos"
"953"="Peones agropecuarios"
"954"="Peones de la pesca, la acuicultura, forestales y de la caza"
"960"="Peones de la construccin y de la minera"
"970"="Peones de las industrias manufactureras"
"981"="Peones del transporte, descargadores y afines"
"982"="Reponedores"
"000"="No contesta"
;
value $T09CNAE

"011"="Cultivos no perennes"
"012"="Cultivos perennes"
"013"="Propagacin de plantas"
"014"="Produccin ganadera"
"015"="Produccin agrcola combinada con la produccin ganadera"
"016"="Actividades de apoyo a la agricultura, a la ganadera y de preparacin posterior a la cosecha"
"017"="Caza, captura de animales y servicios relacionados con las mismas"
"021"="Silvicultura y otras actividades forestales"
"022"="Explotacin de la madera"
"023"="Recoleccin de productos silvestres, excepto madera"
"024"="Servicios de apoyo a la silvicultura"
"031"="Pesca"
"032"="Acuicultura"
"051"="Extraccin de antracita y hulla"
"052"="Extraccin de lignito"
"061"="Extraccin de crudo de petrleo"
"062"="Extraccin de gas natural"
"071"="Extraccin de minerales de hierro"
"072"="Extraccin de minerales metlicos no frreos"
"081"="Extraccin de piedra, arena y arcilla"
"089"="Industrias extractivas n.c.o.p."
"091"="Actividades de apoyo a la extraccin de petrleo y gas natural"
"099"="Actividades de apoyo a otras industrias extractivas"
"101"="Procesado y conservacin de carne y elaboracin de productos crnicos"
"102"="Procesado y conservacin de pescados, crustceos y moluscos"
"103"="Procesado y conservacin de frutas y hortalizas"
"104"="Fabricacin de aceites y grasas vegetales y animales"
"105"="Fabricacin de productos lcteos"
"106"="Fabricacin de productos de molinera, almidones y productos amilceos"
"107"="Fabricacin de productos de panadera y pastas alimenticias"
"108"="Fabricacin de otros productos alimenticios"
"109"="Fabricacin de productos para la alimentacin animal"
"110"="Fabricacin de bebidas"
"120"="Industria del tabaco"
"131"="Preparacin e hilado de fibras textiles"
"132"="Fabricacin de tejidos textiles"
"133"="Acabado de textiles"
"139"="Fabricacin de otros productos textiles"
"141"="Confeccin de prendas de vestir, excepto de peletera"
"142"="Fabricacin de artculos de peletera"
"143"="Confeccin de prendas de vestir de punto"
"151"="Preparacin, curtido y acabado del cuero; fabricacin de artculos de marroquinera, viaje y de guarnicionera y talabartera; preparacin y teido de pieles"
"152"="Fabricacin de calzado"
"161"="Aserrado y cepillado de la madera"
"162"="Fabricacin de productos de madera, corcho, cestera y espartera"
"171"="Fabricacin de pasta papelera, papel y cartn"
"172"="Fabricacin de artculos de papel y de cartn"
"181"="Artes grficas y servicios relacionados con las mismas"
"182"="Reproduccin de soportes grabados"
"191"="Coqueras"
"192"="Refino de petrleo"
"201"="Fabricacin de productos qumicos bsicos, compuestos nitrogenados, fertilizantes, plsticos y caucho sinttico en formas primarias"
"202"="Fabricacin de pesticidas y otros productos agroqumicos"
"203"="Fabricacin de pinturas, barnices y revestimientos similares; tintas de imprenta y masillas"
"204"="Fabricacin de jabones, detergentes y otros artculos de limpieza y abrillantamiento; fabricacin de perfumes y cosmticos"
"205"="Fabricacin de otros productos qumicos"
"206"="Fabricacin de fibras artificiales y sintticas"
"211"="Fabricacin de productos farmacuticos de base"
"212"="Fabricacin de especialidades farmacuticas"
"221"="Fabricacin de productos de caucho"
"222"="Fabricacin de productos de plstico"
"231"="Fabricacin de vidrio y productos de vidrio"
"232"="Fabricacin de productos cermicos refractarios"
"233"="Fabricacin de productos cermicos para la construccin"
"234"="Fabricacin de otros productos cermicos"
"235"="Fabricacin de cemento, cal y yeso"
"236"="Fabricacin de elementos de hormign, cemento y yeso"
"237"="Corte, tallado y acabado de la piedra"
"239"="Fabricacin de productos abrasivos y productos minerales no metlicos n.c.o.p."
"241"="Fabricacin de productos bsicos de hierro, acero y ferroaleaciones"
"242"="Fabricacin de tubos, tuberas, perfiles huecos y sus accesorios, de acero"
"243"="Fabricacin de otros productos de primera transformacin del acero"
"244"="Produccin de metales preciosos y de otros metales no frreos"
"245"="Fundicin de metales"
"251"="Fabricacin de elementos metlicos para la construccin"
"252"="Fabricacin de cisternas, grandes depsitos y contenedores de metal"
"253"="Fabricacin de generadores de vapor, excepto calderas de calefaccin central"
"254"="Fabricacin de armas y municiones"
"255"="Forja, estampacin y embuticin de metales; metalurgia de polvos"
"256"="Tratamiento y revestimiento de metales; ingeniera mecnica por cuenta de terceros"
"257"="Fabricacin de artculos de cuchillera y cubertera, herramientas y ferretera"
"259"="Fabricacin de otros productos metlicos"
"261"="Fabricacin de componentes electrnicos y circuitos impresos ensamblados"
"262"="Fabricacin de ordenadores y equipos perifricos"
"263"="Fabricacin de equipos de telecomunicaciones"
"264"="Fabricacin de productos electrnicos de consumo"
"265"="Fabricacin de instrumentos y aparatos de medida, verificacin y navegacin; fabricacin de relojes"
"266"="Fabricacin de equipos de radiacin, electromdicos y electroteraputicos"
"267"="Fabricacin de instrumentos de ptica y equipo fotogrfico"
"268"="Fabricacin de soportes magnticos y pticos"
"271"="Fabricacin de motores, generadores y transformadores elctricos, y de aparatos de distribucin y control elctrico"
"272"="Fabricacin de pilas y acumuladores elctricos"
"273"="Fabricacin de cables y dispositivos de cableado"
"274"="Fabricacin de lmparas y aparatos elctricos de iluminacin"
"275"="Fabricacin de aparatos domsticos"
"279"="Fabricacin de otro material y equipo elctrico"
"281"="Fabricacin de maquinaria de uso general"
"282"="Fabricacin de otra maquinaria de uso general"
"283"="Fabricacin de maquinaria agraria y forestal"
"284"="Fabricacin de mquinas herramienta para trabajar el metal y otras mquinas herramienta"
"289"="Fabricacin de otra maquinaria para usos especficos"
"291"="Fabricacin de vehculos de motor"
"292"="Fabricacin de carroceras para vehculos de motor; fabricacin de remolques y semirremolques"
"293"="Fabricacin de componentes, piezas y accesorios para vehculos de motor"
"301"="Construccin naval"
"302"="Fabricacin de locomotoras y material ferroviario"
"303"="Construccin aeronutica y espacial y su maquinaria"
"304"="Fabricacin de vehculos militares de combate"
"309"="Fabricacin de otro material de transporte n.c.o.p."
"310"="Fabricacin de muebles"
"321"="Fabricacin de artculos de joyera, bisutera y similares"
"322"="Fabricacin de instrumentos musicales"
"323"="Fabricacin de artculos de deporte"
"324"="Fabricacin de juegos y juguetes"
"325"="Fabricacin de instrumentos y suministros mdicos y odontolgicos"
"329"="Industrias manufactureras n.c.o.p."
"331"="Reparacin de productos metlicos, maquinaria y equipo"
"332"="Instalacin de mquinas y equipos industriales"
"351"="Produccin, transporte y distribucin de energa elctrica"
"352"="Produccin de gas; distribucin por tubera de combustibles gaseosos"
"353"="Suministro de vapor y aire acondicionado"
"360"="Captacin, depuracin y distribucin de agua"
"370"="Recogida y tratamiento de aguas residuales"
"381"="Recogida de residuos"
"382"="Tratamiento y eliminacin de residuos"
"383"="Valorizacin"
"390"="Actividades de descontaminacin y otros servicios de gestin de residuos"
"411"="Promocin inmobiliaria"
"412"="Construccin de edificios"
"421"="Construccin de carreteras y vas frreas, puentes y tneles"
"422"="Construccin de redes"
"429"="Construccin de otros proyectos de ingeniera civil"
"431"="Demolicin y preparacin de terrenos"
"432"="Instalaciones elctricas, de fontanera y otras instalaciones en obras de construccin"
"433"="Acabado de edificios"
"439"="Otras actividades de construccin especializada"
"451"="Venta de vehculos de motor"
"452"="Mantenimiento y reparacin de vehculos de motor"
"453"="Comercio de repuestos y accesorios de vehculos de motor"
"454"="Venta, mantenimiento y reparacin de motocicletas y de sus repuestos y accesorios"
"461"="Intermediarios del comercio"
"462"="Comercio al por mayor de materias primas agrarias y de animales vivos"
"463"="Comercio al por mayor de productos alimenticios, bebidas y tabaco"
"464"="Comercio al por mayor de artculos de uso domstico"
"465"="Comercio al por mayor de equipos para las tecnologas de la informacin y las comunicaciones"
"466"="Comercio al por mayor de otra maquinaria, equipos y suministros"
"467"="Otro comercio al por mayor especializado"
"469"="Comercio al por mayor no especializado"
"471"="Comercio al por menor en establecimientos no especializados"
"472"="Comercio al por menor de productos alimenticios, bebidas y tabaco en establecimientos especializados"
"473"="Comercio al por menor de combustible para la automocin en establecimientos especializados"
"474"="Comercio al por menor de equipos para las tecnologas de la informacin y las comunicaciones en establecimientos especializados"
"475"="Comercio al por menor de otros artculos de uso domstico en establecimientos especializados"
"476"="Comercio al por menor de artculos culturales y recreativos en establecimientos especializados"
"477"="Comercio al por menor de otros artculos en establecimientos especializados"
"478"="Comercio al por menor en puestos de venta y en mercadillos"
"479"="Comercio al por menor no realizado ni en establecimientos, ni en puestos de venta ni en mercadillos"
"491"="Transporte interurbano de pasajeros por ferrocarril"
"492"="Transporte de mercancas por ferrocarril"
"493"="Otro transporte terrestre de pasajeros"
"494"="Transporte de mercancas por carretera y servicios de mudanza"
"495"="Transporte por tubera"
"501"="Transporte martimo de pasajeros"
"502"="Transporte martimo de mercancas"
"503"="Transporte de pasajeros por vas navegables interiores"
"504"="Transporte de mercancas por vas navegables interiores"
"511"="Transporte areo de pasajeros"
"512"="Transporte areo de mercancas y transporte espacial"
"521"="Depsito y almacenamiento"
"522"="Actividades anexas al transporte"
"531"="Actividades postales sometidas a la obligacin del servicio universal"
"532"="Otras actividades postales y de correos"
"551"="Hoteles y alojamientos similares"
"552"="Alojamientos tursticos y otros alojamientos de corta estancia"
"553"="Campings y aparcamientos para caravanas"
"559"="Otros alojamientos"
"561"="Restaurantes y puestos de comidas"
"562"="Provisin de comidas preparadas para eventos y otros servicios de comidas"
"563"="Establecimientos de bebidas"
"581"="Edicin de libros, peridicos y otras actividades editoriales"
"582"="Edicin de programas informticos"
"591"="Actividades cinematogrficas, de vdeo y de programas de televisin"
"592"="Actividades de grabacin de sonido y edicin musical"
"601"="Actividades de radiodifusin"
"602"="Actividades de programacin y emisin de televisin"
"611"="Telecomunicaciones por cable"
"612"="Telecomunicaciones inalmbricas"
"613"="Telecomunicaciones por satlite"
"619"="Otras actividades de telecomunicaciones"
"620"="Programacin, consultora y otras actividades relacionadas con la informtica"
"631"="Proceso de datos, hosting y actividades relacionadas; portales web"
"639"="Otros servicios de informacin"
"641"="Intermediacin monetaria"
"642"="Actividades de las sociedades holding"
"643"="Inversin colectiva, fondos y entidades financieras similares"
"649"="Otros servicios financieros, excepto seguros y fondos de pensiones"
"651"="Seguros"
"652"="Reaseguros"
"653"="Fondos de pensiones"
"661"="Actividades auxiliares a los servicios financieros, excepto seguros y fondos de pensiones"
"662"="Actividades auxiliares a seguros y fondos de pensiones"
"663"="Actividades de gestin de fondos"
"681"="Compraventa de bienes inmobiliarios por cuenta propia"
"682"="Alquiler de bienes inmobiliarios por cuenta propia"
"683"="Actividades inmobiliarias por cuenta de terceros"
"691"="Actividades jurdicas"
"692"="Actividades de contabilidad, tenedura de libros, auditora y asesora fiscal"
"701"="Actividades de las sedes centrales"
"702"="Actividades de consultora de gestin empresarial"
"711"="Servicios tcnicos de arquitectura e ingeniera y otras actividades relacionadas con el asesoramiento tcnico"
"712"="Ensayos y anlisis tcnicos"
"721"="Investigacin y desarrollo experimental en ciencias naturales y tcnicas"
"722"="Investigacin y desarrollo experimental en ciencias sociales y humanidades"
"731"="Publicidad"
"732"="Estudio de mercado y realizacin de encuestas de opinin pblica"
"741"="Actividades de diseo especializado"
"742"="Actividades de fotografa"
"743"="Actividades de traduccin e interpretacin"
"749"="Otras actividades profesionales, cientficas y tcnicas n.c.o.p."
"750"="Actividades veterinarias"
"771"="Alquiler de vehculos de motor"
"772"="Alquiler de efectos personales y artculos de uso domstico"
"773"="Alquiler de otra maquinaria, equipos y bienes tangibles"
"774"="Arrendamiento de la propiedad intelectual y productos similares, excepto trabajos protegidos por los derechos de autor"
"781"="Actividades de las agencias de colocacin"
"782"="Actividades de las empresas de trabajo temporal"
"783"="Otra provisin de recursos humanos"
"791"="Actividades de agencias de viajes y operadores tursticos"
"799"="Otros servicios de reservas y actividades relacionadas con los mismos"
"801"="Actividades de seguridad privada"
"802"="Servicios de sistemas de seguridad"
"803"="Actividades de investigacin"
"811"="Servicios integrales a edificios e instalaciones"
"812"="Actividades de limpieza"
"813"="Actividades de jardinera"
"821"="Actividades administrativas y auxiliares de oficina"
"822"="Actividades de los centros de llamadas"
"823"="Organizacin de convenciones y ferias de muestras"
"829"="Actividades de apoyo a las empresas n.c.o.p."
"841"="Administracin Pblica y de la poltica econmica y social"
"842"="Prestacin de servicios a la comunidad en general"
"843"="Seguridad Social obligatoria"
"851"="Educacin preprimaria"
"852"="Educacin primaria"
"853"="Educacin secundaria"
"854"="Educacin postsecundaria"
"855"="Otra educacin"
"856"="Actividades auxiliares a la educacin"
"861"="Actividades hospitalarias"
"862"="Actividades mdicas y odontolgicas"
"869"="Otras actividades sanitarias"
"871"="Asistencia en establecimientos residenciales con cuidados sanitarios"
"872"="Asistencia en establecimientos residenciales para personas con discapacidad intelectual, enfermedad mental y drogodependencia"
"873"="Asistencia en establecimientos residenciales para personas mayores y con discapacidad fsica"
"879"="Otras actividades de asistencia en establecimientos residenciales"
"881"="Actividades de servicios sociales sin alojamiento para personas mayores y con discapacidad"
"889"="Otros actividades de servicios sociales sin alojamiento"
"900"="Actividades de creacin, artsticas y espectculos"
"910"="Actividades de bibliotecas, archivos, museos y otras actividades culturales"
"920"="Actividades de juegos de azar y apuestas"
"931"="Actividades deportivas"
"932"="Actividades recreativas y de entretenimiento"
"941"="Actividades de organizaciones empresariales, profesionales y patronales"
"942"="Actividades sindicales"
"949"="Otras actividades asociativas"
"951"="Reparacin de ordenadores y equipos de comunicacin"
"952"="Reparacin de efectos personales y artculos de uso domstico"
"960"="Otros servicios personales"
"970"="Actividades de los hogares como empleadores de personal domstico"
"981"="Actividades de los hogares como productores de bienes para uso propio"
"982"="Actividades de los hogares como productores de servicios para uso propio"
"990"="Actividades de organizaciones y organismos extraterritoriales"
"000"="No contesta"
;
value N_3DIG

998="No sabe"
999="No contesta"
;
value N_2DIG

98="No sabe"
99="No contesta"
;



* 3) VINCULAR FORMATOS A LA BASE DE DATOS;
DATA ROutput.&siglas_periodo.&conFormato;
	set ROutput.&siglas_periodo;


FORMAT CCAA $TCCAA.;
FORMAT ESTRATO $TESTRAT.;
FORMAT SEXO_i $TSEXO.;
FORMAT EDAD_i N_3DIG.;
FORMAT NADULTOS N_2DIG.;
FORMAT NMENORES N_2DIG.;
FORMAT A7_1_i $T2SINO.;
FORMAT A8_1_i $T2SINO.;
FORMAT A8_2_i $TA8_2_i.;
FORMAT A9_otra $TA9_otr.;
FORMAT A10_i $TA10_i.;
FORMAT A11_i $TA11_i.;
FORMAT A12 $T12A.;
FORMAT B13 $T13B.;
FORMAT B14 $TSINOC.;
FORMAT B15_2 $T09CNAE.;
FORMAT B16_2 $T11CNO.;
FORMAT B17 $T17B.;
FORMAT B18 $TSINOC.;
FORMAT B19a_2 $T09CNAE.;
FORMAT B19b_2 $T09CNAE.;
FORMAT B20a_2 $T11CNO.;
FORMAT B20b_2 $T11CNO.;
FORMAT B21a $TB21a.;
FORMAT B21b $TB21b.;
FORMAT CLASE_PR $TCLASE.;
FORMAT D23_1 $T2SINO.;
FORMAT D23_2 $T2SINO.;
FORMAT D23_3 $T2SINO.;
FORMAT D23_4 $T2SINO.;
FORMAT D23_5 $T2SINO.;
FORMAT D23_6 $T2SINO.;
FORMAT D23_7 $T2SINO.;
FORMAT D23_8 $T2SINO.;
FORMAT D23_9 $T2SINO.;
FORMAT D23_10 $T2SINO.;
FORMAT D23_11 $T2SINO.;
FORMAT D24 $T24D.;
FORMAT D26 $T26D.;

RUN;
/* FIN PROGRAMA: Microdatos en SAS: EESEhogar_2020.sas*/
